package com.danitheskunk.skunkworks;

public final class Color {
	final byte r, g, b, a;

	public Color(byte r, byte g, byte b) {
		this.r = r;
		this.g = g;
		this.b = b;
		this.a = (byte)0xff;
	}

	public Color(byte r, byte g, byte b, byte a) {
		this.r = r;
		this.g = g;
		this.b = b;
		this.a = a;
	}

	public byte getR() {
		return r;
	}

	public byte getG() {
		return g;
	}

	public byte getB() {
		return b;
	}

	public byte getA() {
		return a;
	}

	@Override public String toString() {
		return String.format("#%02X%02X%02X%02X", r, g, b, a);
	}
}
